osl::progress::PtypeProgressTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | Static Private Attributes | List of all members
osl::progress::PtypeProgressTable Class Reference

ゲームの進行度を駒が自陣からどの程度前に進んでいるかの和で表現 More...

`#include <ptypeProgress.h>`

Collaboration diagram for osl::progress::PtypeProgressTable:
[legend]

## Public Member Functions
| PtypeProgressTable ()
| ~PtypeProgressTable ()
int | progress (PtypeO ptypeo, Square pos) const

## Private Attributes
CArray< int, PTYPE_SIZE > | ptype2Val
CArray2d< int, PTYPEO_SIZE, Square::SIZE > | pos2Val

## Static Private Attributes
static const CArray< int, 10 > | yVals
| y 座標に対応した進行度の係数、最初は0 (使用しない) More...

## Detailed Description

ゲームの進行度を駒が自陣からどの程度前に進んでいるかの和で表現

Definition at line 16 of file ptypeProgress.h.

## Constructor & Destructor Documentation

osl::progress::PtypeProgressTable::PtypeProgressTable | ( | ) |  |

Definition at line 102 of file ptypeProgress.cc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::Square::index(), osl::KING, osl::KNIGHT, osl::LANCE, osl::newPtypeO(), osl::PAWN, osl::PBISHOP, osl::PKNIGHT, osl::PLANCE, pos2Val, osl::PPAWN, osl::PROOK, osl::PSILVER, ptype2Val, osl::PTYPE_MAX, osl::PTYPE_MIN, osl::PTYPEO_MIN, osl::ROOK, osl::SILVER, osl::Square::STAND(), osl::WHITE, and yVals.

osl::progress::PtypeProgressTable::~PtypeProgressTable | ( | ) |  |

Definition at line 135 of file ptypeProgress.cc.

## Member Function Documentation

int osl::progress::PtypeProgressTable::progress | ( | PtypeO | ptypeo,
|  | Square | pos
| ) |  | const
| inline

Definition at line 25 of file ptypeProgress.h.

References osl::Square::index(), pos2Val, and osl::PTYPEO_MIN.

Referenced by osl::progress::PtypeProgress::PtypeProgress(), and osl::progress::PtypeProgress::update().

## Member Data Documentation

CArray2d<int,PTYPEO_SIZE,Square::SIZE> osl::progress::PtypeProgressTable::pos2Val
| private

Definition at line 20 of file ptypeProgress.h.

Referenced by progress(), and PtypeProgressTable().

CArray<int,PTYPE_SIZE> osl::progress::PtypeProgressTable::ptype2Val
| private

Definition at line 19 of file ptypeProgress.h.

Referenced by PtypeProgressTable().

const osl::CArray< int, 10 > osl::progress::PtypeProgressTable::yVals
| staticprivate

Initial value:
=
{{
0,4,4,4,3,2,1,0,0,0
}}

y 座標に対応した進行度の係数、最初は0 (使用しない)

Definition at line 21 of file ptypeProgress.h.

Referenced by PtypeProgressTable().

The documentation for this class was generated from the following files:

- ptypeProgress.h
- ptypeProgress.cc
- tables.cc